"""
API endpoints for health checks.
"""
from typing import Any

from fastapi import APIRouter

from app.schemas.health import HealthCheck, HealthStatus

router = APIRouter()

# Get the version from the package
VERSION = "0.1.0"


@router.get("/", response_model=HealthCheck)
def health_check() -> Any:
    """
    Health check endpoint.
    
    Returns:
        Health status
    """
    return {
        "status": HealthStatus.OK,
        "version": VERSION,
    }